B15F Board 15 Famulus Edition

Public Member Functions | Protected Attributes | List of all members
TimeoutException Class Reference

`#include <timeoutexception.h>`

Inheritance diagram for TimeoutException:

## Public Member Functions
| TimeoutException (const char *message, int timeout)
| TimeoutException (const std::string &message, int timeout)
virtual const char * | what () const throw ()

## Protected Attributes
std::string | msg
int | m_timeout

## Detailed Description

Exception for USART related timeouts.

Definition at line 10 of file timeoutexception.h.

The documentation for this class was generated from the following file:

- drv/timeoutexception.h